@import "vars";
@import "fonts";
@import "libs";

::placeholder {
  color: #666;
}

::selection {
  background-color: $accent;
  color: #fff;
}

body {
  font-size: 17px;
  min-width: 320px;
  position: relative;
  line-height: 1.3;
  font-family: $default-font;
  overflow-x: hidden;
  color: $text;
  input,
  textarea {
    border: #666 1px solid;
    outline: none;
    &:focus:required:invalid {
      border-color: red;
    }
    &:required:valid {
      border-color: green;
    }
  }
}

.img-responsive {
  display: block;
  max-width: 100%;
  height: auto;
  &.img-width {
    width: 100%;
  }
}

.text-center {
  text-align: center;
}

b,
strong {
  font-weight: bold;
}

.preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: $accent;
  z-index: 99999;
  transition: all 1.5s ease-in;
  opacity: 1;
  visibility: visible;
  display: flex;
  align-items: center;
  justify-content: center;
  .loader {
    width: 75px;
    height: 75px;
    border: 10px double #ddd;
    border-radius: 50%;
    border-top-color: $accent;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    animation: 1s spin infinite linear;
  }
  &.done {
    opacity: 0;
    visibility: hidden;
  }
}

@keyframes spin {
  from {
    transform: translate(-50%, -50%) rotate(0deg);
  }
  to {
    transform: translate(-50%, -50%) rotate(360deg);
  }
}

.btn {
  background: #ffffff;
  border-radius: 10px;
  padding: 10px 48px;
  color: $text;
  text-decoration: none;
  font-weight: 600;
  min-height: 55px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: auto;
  transition: all 0.3s ease;
  &:hover {
    color: $text;
  }
  img {
    margin-right: 10px;
  }
}

.title {
  font-weight: 800;
  font-size: 54px;
  letter-spacing: -0.6px;
  color: $text;
  margin-bottom: 100px;
}

section {
  padding-top: 60px;
  padding-bottom: 60px;
  position: relative;
}

.main-section {
  width: 100%;
  min-height: 808px;
  background-image: url(../img/main-bg.jpg);
  background-size: cover;
  background-position: top center;
  padding-top: 0;
  background-attachment: fixed;
}

.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  transition: all 0.3s ease;
  z-index: 99;
  &:hover,
  &.active {
    background: rgba(255, 255, 255, 0.7);
    .menu {
      &__link,
      &__link-price {
        color: #1b1b1b;
      }
    }
    .logo {
      background-image: url(../img/logo-black.svg);
    }
  }
  .logo {
    transition: all 0.3s ease;
    background-image: url(../img/logo.svg);
    width: 137px;
    height: 102px;
    display: block;
    text-decoration: none;
  }
}
.menu {
  max-width: 1440px;
  width: 100%;
  padding: 0;
  padding-left: 16px;
  padding-right: 16px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 165px;
  transition: all 0.3s ease;
  position: relative;
  &-logo {
    margin-left: 15px;
    margin-right: 15px;
    position: absolute;
    left: 0;
    right: 0;
    margin: auto;
    max-width: 137px;
  }
  &__row {
    display: flex;
    justify-content: flex-start;
    width: 50%;
    &.left {
      justify-content: flex-end;
      padding-right: 80px;
    }
    &.right {
      justify-content: flex-start;
      padding-left: 80px;
    }
  }
  &__item {
    list-style: none;
  }
  &__link,
  &__link-price {
    padding: 10px 20px;
    color: #fff;
    font-weight: 600;
    text-decoration: none;
    transition: all 0.3s ease;
    &:hover {
      color: $accent;
    }
  }
}

.main-content {
  color: #fff;
  max-width: 600px;
  width: 100%;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: auto;
  position: absolute;
  left: 0;
  right: 0;
  bottom: 108px;
  &__title {
    font-weight: 800;
    font-size: 64px;
    letter-spacing: -0.6px;
    margin-bottom: 8px;
  }
  &__desc {
    margin-bottom: 148px;
  }
  strong {
    font-size: 28px;
  }
}
.best-section {
  padding-top: 148px;
  padding-bottom: 148px;
  text-align: center;
  .title {
    max-width: 713px;
    margin: auto;
  }
}
.app {
  display: flex;
  flex-direction: wrap;
  flex-wrap: wrap;
  justify-content: center;
  &-container {
    max-width: 1200px;
    width: 100%;
    padding-left: 16px;
    padding-right: 16px;
    margin: 0 auto;
  }
  &__item {
    max-width: 572px;
    background: #ffffff;
    box-shadow: 10px 14px 20px rgba(0, 0, 0, 0.08);
    border-radius: 20px;
    padding: 20px;
    margin: 12px;
    min-height: 360px;
    position: relative;
    &:first-child {
      margin-left: 0;
    }
    &:last-child {
      margin-right: 0;
    }
    &:nth-child(2) {
      margin-right: 0;
    }
    &:nth-child(3) {
      margin-left: 0;
    }
  }
  &__title {
    font-weight: 600;
    font-size: 24px;
    color: #212121;
    span {
      color: #5ac0ff;
    }
  }
  &-carousel {
    .slick-slide {
      min-height: 360px;
    }
    img {
      text-align: center;
      margin: auto;
    }
  }
  &__row {
    min-height: 324px;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  &__bottom {
    box-sizing: border-box;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
  &__desc {
    font-size: 24px;
  }
  &__price {
    font-weight: 600;
    font-size: 32px;
    text-align: right;
    color: #52bddf;
  }
}
.slick-arrow {
  position: absolute;
  top: 35%;
  transform: translateY(-50%);
  font-size: 0;
  border: none;
  background-color: transparent;
  z-index: 2;
  &::before {
    content: "";
    position: absolute;
    box-sizing: border-box;
    background-image: url(../img/next.svg);
    width: 22px;
    height: 44px;
    background-size: contain;
    background-repeat: no-repeat;
  }
}
.slick-prev {
  left: -6px;
  &::before {
    top: -4px;
    background-image: url(../img/next.svg);
    transform: rotate(-180deg);
  }
}
.slick-next {
  right: 16px;
  &::before {
    background-image: url(../img/next.svg);
  }
}

.beforeAndAfter {
  max-width: 1200px;
  width: 100%;
  padding-left: 16px;
  padding-right: 16px;
  margin: 0 auto;
  .title {
    text-align: center;
    margin-bottom: 40px;
  }
}
.works-section {
  .col-lg-4 {
    &:last-child {
      .work::after {
        display: none;
      }
    }
  }
}
.work {
  background: #ffffff;
  box-shadow: 10px 10px 40px rgba(0, 0, 0, 0.1);
  border-radius: 20px;
  padding: 40px 20px 30px 0;
  padding-left: 200px;
  position: relative;
  display: flex;
  min-height: 332px;
  &::after {
    content: "";
    position: absolute;
    right: -50px;
    border: 1px dashed $accent;
    width: 50px;
    top: 50%;
    transform: translateY(-50%);
  }
  &__img {
    position: absolute;
    bottom: 0;
    left: 0;
  }
  &__content {
    text-align: right;
    width: 100%;
  }
  &__title {
    font-weight: 600;
    font-size: 24px;
  }
  &__icon {
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
  }
  &__label {
    font-weight: 800;
    font-size: 24px;
    color: $accent;
    position: absolute;
    bottom: 30px;
    right: 20px;
  }
}
.service {
  display: flex;
  align-items: center;
  margin-bottom: 62px;
  &-number {
    font-weight: 800;
    font-size: 54px;
    color: $accent;
    margin-right: 15px;
  }
}
.restoration {
  .service {
    &-number {
      color: #cf3c9b;
    }
  }
}
.contact-section {
  padding: 0;
}
.map {
  position: relative;
}
.info {
  background: #ffffff;
  box-shadow: 10px 14px 14px rgba(0, 0, 0, 0.15);
  border-radius: 30px;
  max-width: 303px;
  color: $text;
  padding: 46px 34px;
  position: absolute;
  z-index: 9;
  top: 50%;
  left: 60px;
  transform: translateY(-50%);
  text-align: center;
  &__logo {
    margin-bottom: 35px;
  }
  &__row {
    text-align: left;
    display: flex;
    align-items: center;
    margin-bottom: 20px;
    position: relative;
    &.group {
      padding-left: 58px;
    }
  }
  &__icon {
    margin-right: 5px;
    fill: #212121;
  }
  &__text {
    font-size: 15px;
    line-height: 1.2;
  }
  .phone {
    display: block;
    margin-bottom: 5px;
    color: $text;
    &:hover {
      text-decoration: none;
    }
  }
  .email {
    align-items: center;
    color: $text;
    &:hover {
      text-decoration: none;
    }
  }
  .icon-group {
    position: absolute;
    left: 0;
    bottom: 0;
  }
}
.footer {
  width: 100%;
  min-height: 199px;
  background: #5ac0ff;
  color: #fff;
  padding-top: 60px;
  padding-bottom: 20px;
  position: relative;
  &-logo {
    position: absolute;
    top: 30px;
    left: 0;
    right: 0;
    margin: auto;
    text-align: center;
    max-width: 137px;
  }
  &__content {
    margin-bottom: 22px;
  }
  p {
    margin-bottom: 0;
  }
  a {
    font-size: 15px;
    color: #fff;
    margin-top: 14px;
    display: inline-block;
  }
  &-text {
    text-align: center;
    margin-top: 65px;
  }
}

.order {
  &__row {
    background: #ffffff;
    box-shadow: 10px 10px 40px rgba(0, 0, 0, 0.1);
    border-radius: 20px;
    max-width: 560px;
    position: relative;
    padding-left: 34px;
    padding-right: 34px;
    box-sizing: border-box;
  }
  &__logo {
    position: absolute;
    top: 48px;
    right: 30px;
  }
}

.questions {
  display: flex;
  justify-content: flex-end;
  &__container {
    max-width: 340px;
    width: 100%;
  }
  &__date {
    font-weight: 600;
    font-size: 13px;
    text-align: center;
    color: #bcbcbc;
    margin-bottom: 16px;
    width: 100%;
    float: left;
    span {
      font-weight: 400;
    }
  }
  &__list {
    margin-bottom: 16px;
    background: #e5e5ea;
    border-radius: 15px;
    padding: 14px;
    max-width: 320px;
    float: left;
    position: relative;
    &::after {
      content: "";
      position: absolute;
      width: 20px;
      height: 14px;
    }
    &.left {
      &::after {
        background-image: url(../img/left.png);
        left: -5px;
        bottom: -1px;
      }
    }
    &.right {
      float: right;
      background-color: #039eff;
      color: #fff;
      padding-top: 7px;
      min-height: 58px;
      &::after {
        background-image: url(../img/right.png);
        right: -5px;
        bottom: -1px;
      }
    }
    &.text {
      max-width: 234px;
      width: 100%;
    }
    a {
      font-weight: 700;
      text-decoration: underline;
      color: $accent;
    }
  }
}

.order-courier {
  text-align: center;
  margin-top: 120px;
  &__title {
    font-weight: 800;
    font-size: 32px;
    margin-bottom: 24px;
  }
  .btn {
    background: #35ca50;
    max-width: 280px;
    color: #fff;
  }
}
.mobile-header {
  display: none;
}
.price {
  max-width: 910px;
  width: 100%;
  border-radius: 20px;
  padding: 0;
  &__content {
    overflow-y: auto;
    max-height: 85vh;
    padding: 66px 80px;
    display: flex;
    flex-direction: column;
  }
  &__logo {
    max-width: 200px;
    margin: auto;
    margin-bottom: 40px;
    text-align: center;
  }
  &__title {
    font-size: 28px;
    font-weight: 700;
    margin-top: 24px;
    margin-bottom: 6px;
  }
  .table-row {
    width: 100%;
  }
  table {
    width: 100%;
    th {
      font-size: 24px;
      padding-top: 6px;
      padding-bottom: 6px;
    }
    td {
      padding-top: 6px;
      padding-bottom: 6px;
    }
  }
}
.before-after-carousel {
  .slick-next {
    right: -50px;
  }
  .slick-prev {
    left: -56px;
  }
}
.mobile {
  display: none;
}
#discount {
  color: #000000;
  text-align: center;
  font-weight: 400;
  max-width: 480px;
  border-radius: 30px;
}
#discount button.fancybox-button {
  display: none;
}
#discount .fancybox-button {
  top: 10px;
  right: 10px;
}

.discount-title {
  font-size: 24px;
  margin-bottom: 15px;
}
.discount-list {
  padding: 0;
  li {
    margin-bottom: 10px;
    list-style: none;
    color: #f2c94c;
    font-size: 30px;
    font-weight: 700;
  }
}
.discount-text {
  color: #f2c94c;
  font-size: 82px;
  font-weight: 700;
  margin-bottom: 30px;
  text-align: center;
}

.discount-label {
  font-size: 22px;
  margin-bottom: 17px;
}

.discount-promocode {
  background: $accent;
  border-radius: 10px;
  color: #fff;
  min-height: 60px;
  padding: 10px 16px;
  box-sizing: border-box;
  max-width: 295px;
  margin: auto;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 700;
  font-size: 32px;
}
#discount-open {
  display: none;
}

.courier {
  max-width: 520px;
  width: 100%;
  &-title {
    font-size: 30px;
    font-weight: 700;
    text-align: center;
    margin-bottom: 24px;
  }
  &__label {
    font-weight: 600;
    margin-bottom: 12px;
  }
  &__input,
  &__select,
  &__textarea {
    line-height: 44px;
    border-radius: 6px;
    box-sizing: border-box;
    padding: 0 16px;
    width: 100%;
    margin-bottom: 16px;
    border: 1px solid #e5e5ea;
    transition: all 0.3s ease;
    background-color: #fff;
    min-height: 44px;
    &:focus {
      border: 1px solid $accent;
      outline: none !important;
    }
    &::placeholder {
      font-size: 16px;
    }
  }
  &__group {
    display: flex;
    margin-bottom: 12px;
    input,
    select {
      margin-right: 12px;
      &:last-child {
        margin-right: 0;
      }
    }
  }
  .btn {
    border: none;
    background-color: $accent;
    color: #fff;
    margin-top: 12px;
  }
}

.service-block {
  padding: 32px 24px 24px;
  background: #fff;
  border-radius: 16px;
  width: 100%;
  max-width: 500px;
  color: $text;
  #courier-phone,
  #courier-phone2 {
    position: relative;
    margin-bottom: 0;
    padding-right: 110px;
  }
  &__select-group {
    display: flex;
    justify-content: space-between;
    .ts-wrapper {
      width: 49%;
    }
  }
  &__group {
    position: relative;
    margin-bottom: 16px;
  }
  &__row {
    position: absolute;
    top: 0;
    bottom: 0;
    right: 5px;
    margin: auto;
    display: flex;
    align-items: center;
    label {
      display: flex;
      margin-left: 6px;
    }
  }
  &__item {
    display: flex;
    align-items: center;
    margin: 0 6px;
  }
  &__title {
    font-size: 18px;
    font-weight: 700;
    text-align: left;
    margin-bottom: 16px;
    color: $text;
  }
  &__input,
  &__select,
  &__textarea {
    line-height: 44px;
    border-radius: 6px;
    box-sizing: border-box;
    padding: 0 16px;
    width: 100%;
    margin-bottom: 16px;
    border: 1px solid #e5e5ea;
    transition: all 0.3s ease;
    background-color: #fff;
    min-height: 44px;
    &:focus {
      border: 1px solid $accent;
      outline: none !important;
    }
    &::placeholder {
      font-size: 16px;
    }
  }
  .ts-control {
    line-height: 44px;
    border-radius: 6px;
    box-sizing: border-box;
    padding: 0 16px;
    width: 100%;
    margin-bottom: 16px;
    border: 1px solid #e5e5ea;
    transition: all 0.3s ease;
    background-color: #fff;
    min-height: 44px;
    text-align: left;
    .item {
      font-size: 16px;
    }
    input {
      &::placeholder {
        font-size: 16px;
      }
    }
  }
  .ts-dropdown {
    border-radius: 6px;
    overflow: hidden;
    .option {
      text-align: left;
      padding: 16px;
      line-height: 44px;
      font-size: 16px;
      box-sizing: border-box;
      :hover,
      .active {
        background-color: #f3f5f6;
        opacity: 1;
      }
    }
  }
  .ts-wrapper {
    input[type="select-one"] {
      display: none !important;
    }
  }
  .btn {
    max-width: 100%;
    width: 100%;
    border: none;
    background-color: $accent;
    color: #ffffff;
    &:hover {
      background-color: #0082ab;
    }
  }
}

.whatsapp {
  position: fixed;
  left: 12px;
  bottom: 16px;
  width: 50px;
  height: 50px;
  background: #25d366;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 30px;
  border-radius: 50%;
  box-shadow: 0px 0px 12px -3px rgb(0 0 0 / 75%);
  -webkit-box-shadow: 0px 0px 12px -3px rgb(0 0 0 / 75%);
  -moz-box-shadow: 0px 0px 12px -3px rgba(0, 0, 0, 0.75);
  cursor: pointer;
  z-index: 999;
  text-decoration: none;
}

.questions-section {
  .order-service {
    width: 100%;
    display: flex;
    justify-content: center;
  }
  .service-block {
    margin-top: 50px;
    box-shadow: 20px 5px 20px rgb(0 0 0 / 8%);
  }
}

.about-section {
  text-align: center;
}

.social-icons {
  padding-top: 10px;
}

.services-section {
  padding-bottom: 0;
}
.restoration {
  padding-top: 0;
}
.instagram-section {
  padding-bottom: 100px;
  .title {
    text-align: center;
    margin-bottom: 60px;
  }
  .eapps-instagram-feed-header-inner {
    margin: 0;
  }
  .eapps-instagram-feed-header {
    padding-left: 0;
    padding-right: 0;
  }
}

@import "media"; // Always at the end
